import * as React from "react";
import Header from "./components/header";
import CreateLogEntry from "./components/createLogEntry";
import Home from "./components/home";
import { BrowserRouter, Route, Switch } from "react-router-dom";
import VehicleTypes from "./components/vehicleTypes";

function AppRouter() {
  return (
    <BrowserRouter>
      <Header />
      <div className="mainView">
        <Switch>
          <Route path={["/", "/home"]} component={Home} exact />
          <Route path="/qr/:vehicleId" component={CreateLogEntry} />
          <Route path="/vehicleTypes" component={VehicleTypes} exact />
          <Route path="/login" exact />
          <Route />
        </Switch>
      </div>
    </BrowserRouter>
  );
}

export default AppRouter;
