import * as express from 'express';
import apiRouter from './routes';
import * as path from 'path';
import dbInit from "./db/db_init";

let init = async ()=>{
    await dbInit();
    const app = express();

    app.use(express.static('public'));
    app.use(express.json());
    app.use(apiRouter);
    app.get('/*', function(req, res) {
        res.sendFile(path.join(__dirname, '/../public/index.html'), function(err) {
            if (err) {
                res.status(500).send(err)
            }
        })
    })
    const port = process.env.PORT || 3000;
    app.listen(port, () => console.log(`Server listening on port: ${port}`));
}

init().then(() => {})
